Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PatternElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PatternElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PatternElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PatternElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.RuleCall` | `getAnnotationsAnnotationParserRuleCall_0_0()` |
    `org.eclipse.xtext.Assignment` | `getAnnotationsAssignment_0()` |
    `org.eclipse.xtext.Assignment` | `getBodiesAssignment_8()` |
    `org.eclipse.xtext.Assignment` | `getBodiesAssignment_9_1()` |
    `org.eclipse.xtext.RuleCall` | `getBodiesPatternBodyParserRuleCall_8_0()` |
    `org.eclipse.xtext.RuleCall` | `getBodiesPatternBodyParserRuleCall_9_1_0()` |
    `org.eclipse.xtext.Keyword` | `getCommaKeyword_5_1_0()` |
    `org.eclipse.xtext.Keyword` | `getEqualsSignKeyword_7()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Group` | `getGroup_5()` |
    `org.eclipse.xtext.Group` | `getGroup_5_1()` |
    `org.eclipse.xtext.Group` | `getGroup_9()` |
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_4()` |
    `org.eclipse.xtext.Assignment` | `getModifiersAssignment_1()` |
    `org.eclipse.xtext.RuleCall` | `getModifiersModifiersParserRuleCall_1_0()` |
    `org.eclipse.xtext.Assignment` | `getNameAssignment_3()` |
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_3_0()` |
    `org.eclipse.xtext.Keyword` | `getOrKeyword_9_0()` |
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_5_0()` |
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_5_1_1()` |
    `org.eclipse.xtext.RuleCall` | `getParametersParameterParserRuleCall_5_0_0()` |
    `org.eclipse.xtext.RuleCall` | `getParametersParameterParserRuleCall_5_1_1_0()` |
    `org.eclipse.xtext.Keyword` | `getPatternKeyword_2()` |
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_6()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternElements

          public PatternElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getAnnotationsAssignment_0

          public org.eclipse.xtext.Assignment getAnnotationsAssignment_0()

    - #### getAnnotationsAnnotationParserRuleCall_0_0

          public org.eclipse.xtext.RuleCall getAnnotationsAnnotationParserRuleCall_0_0()

    - #### getModifiersAssignment_1

          public org.eclipse.xtext.Assignment getModifiersAssignment_1()

    - #### getModifiersModifiersParserRuleCall_1_0

          public org.eclipse.xtext.RuleCall getModifiersModifiersParserRuleCall_1_0()

    - #### getPatternKeyword_2

          public org.eclipse.xtext.Keyword getPatternKeyword_2()

    - #### getNameAssignment_3

          public org.eclipse.xtext.Assignment getNameAssignment_3()

    - #### getNameIDTerminalRuleCall_3_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_3_0()

    - #### getLeftParenthesisKeyword_4

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_4()

    - #### getGroup_5

          public org.eclipse.xtext.Group getGroup_5()

    - #### getParametersAssignment_5_0

          public org.eclipse.xtext.Assignment getParametersAssignment_5_0()

    - #### getParametersParameterParserRuleCall_5_0_0

          public org.eclipse.xtext.RuleCall getParametersParameterParserRuleCall_5_0_0()

    - #### getGroup_5_1

          public org.eclipse.xtext.Group getGroup_5_1()

    - #### getCommaKeyword_5_1_0

          public org.eclipse.xtext.Keyword getCommaKeyword_5_1_0()

    - #### getParametersAssignment_5_1_1

          public org.eclipse.xtext.Assignment getParametersAssignment_5_1_1()

    - #### getParametersParameterParserRuleCall_5_1_1_0

          public org.eclipse.xtext.RuleCall getParametersParameterParserRuleCall_5_1_1_0()

    - #### getRightParenthesisKeyword_6

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_6()

    - #### getEqualsSignKeyword_7

          public org.eclipse.xtext.Keyword getEqualsSignKeyword_7()

    - #### getBodiesAssignment_8

          public org.eclipse.xtext.Assignment getBodiesAssignment_8()

    - #### getBodiesPatternBodyParserRuleCall_8_0

          public org.eclipse.xtext.RuleCall getBodiesPatternBodyParserRuleCall_8_0()

    - #### getGroup_9

          public org.eclipse.xtext.Group getGroup_9()

    - #### getOrKeyword_9_0

          public org.eclipse.xtext.Keyword getOrKeyword_9_0()

    - #### getBodiesAssignment_9_1

          public org.eclipse.xtext.Assignment getBodiesAssignment_9_1()

    - #### getBodiesPatternBodyParserRuleCall_9_1_0

          public org.eclipse.xtext.RuleCall getBodiesPatternBodyParserRuleCall_9_1_0()